Bug 614529 - colon in resource name confuses the search
Summary: colon in resource name confuses the search
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: SearchBar   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-14 16:53 UTC by Lukas Krejci
Modified: 2010-08-12 16:53 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:53:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lukas Krejci 2010-07-14 16:53:03 UTC
Description of problem:

When a resource name contains a colon (a common thing), no results are displayed when searching for such resources with an error on the server console:

18:48:09,274 ERROR [STDERR] line 1:32 no viable alternative at character ':'
 
How reproducible:
always

Steps to Reproduce:
1. Inventory a JBoss AS or an Apache instance with a colon in its resource name
2. start typing name=", wait for the suggestion to offer you the name with a colon
2a. alternatively just type the resource name in the search box
3. Click "Go"
  
Actual results:
no results returned and an error on the server output.

Expected results:
the results should contain the searched for resource, no error in server console.

Comment 1 Joseph Marques 2010-07-15 14:50:05 UTC
commit bcd005aee3303e3cf230eb8e9a0595829f283b54
Author: Joseph Marques <joseph@redhat.com>
Date:   Thu Jul 15 10:48:42 2010 -0400

BZ-614529: support search expressions containing ':'

Comment 2 Corey Welton 2010-07-16 14:45:42 UTC
QA Verified, these search expressions now return appropriate results when selected.

Comment 3 Corey Welton 2010-08-12 16:53:30 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.